MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024930Open CASCADE[OCCT] OCCT:Visualizationpublic2014-05-15 18:562014-11-11 13:02
Reporterdbp 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024930: Visualization - SetMaterial/UnsetMaterial/UnsetColor are not implemented for AIS_TexturedShape
DescriptionCan not set material for AIS_TexturedShape
TagsNo tags attached.
Test case numberbugs vis(004) bug24930
Attached Files

- Relationships
related to 0003038closeddbp Blue component of RGB ambient light seems to be ignored. 

-  Notes
(0029357)
dbp (developer)
2014-05-15 19:07

Dear kgv,

please review the patch in branch CR24930.
(0029365)
kgv (developer)
2014-05-16 08:43

Dear Denis,

please provide test scenario for the issue.

+  if (!GetContext().IsNull())
+  {
+    if (GetContext()->MainPrsMgr()->HasPresentation (this, 3))
+    {

Please avoid using GetContext() here - see 0002883.
Shouldn't be UnsetMaterial() overridden as well?
(0029376)
dbp (developer)
2014-05-16 16:58

Dear kgv,

please review the patch in branch CR24930_1.
(0029387)
kgv (developer)
2014-05-19 13:07

284   if (!thePrs.IsNull())
285   {
286     Prs3d_Root::CurrentGroup (thePrs)->SetGroupPrimitivesAspect (myAspect);
287   }

Patch looks incomplete taking into account changes provided by 0002883 (iteration through all groups).

+    if (aGroup->IsGroupPrimitivesAspectSet (Graphic3d_ASPECT_FILL_AREA))
+    {
+      aGroup->SetGroupPrimitivesAspect (anAreaAsp);
+    }
+
+    updateAttributes (aPrsModed.Presentation()->Presentation());

What for all these extra steps if updateAttributes() calls SetGroupPrimitivesAspect() inside?
(0032303)
git (administrator)
2014-09-29 15:35

Branch CR24930_2 has been created by dbp.

SHA-1: b4c56243a78165618d16fbf845ddb154c552138b


Detailed log of new commits:

Author: dbp
Date: Mon Sep 29 15:35:22 2014 +0400

    0024930: Visualization - SetMaterial/UnsetMaterial/UnsetColor are not implemented for AIS_TexturedShape
(0032305)
dbp (developer)
2014-09-29 15:37

Dear kgv,

please review the patch in branch CR24930_2.
(0032324)
kgv (developer)
2014-09-29 17:29

Please test the patch.
(0032332)
git (administrator)
2014-09-29 19:04

Branch CR24930_2 has been updated forcibly by mkv.

SHA-1: 11ba6fd391fe6e9814f8f9da13e9c04a2bf81178
(0032481)
mkv (tester)
2014-09-30 20:00

Dear BugMaster,
Branch CR24930_2 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 11ba6fd391fe6e9814f8f9da13e9c04a2bf81178

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 196 (196 on master)

products component :
Linux: 11 (11 on master)
Windows: 3 (3 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR24930-2-master-occt/Debian60-64/bugs/vis/bug24930.html [^]
http://occt-tests/CR24930-2-master-occt/Windows-32-VC10/bugs/vis/bug24930.html [^]
bugs vis(004) bug24930: OK

Testing on Linux:
occt component :
Total MEMORY difference: 397634608 / 397680656
Total CPU difference: 42986.71000000001 / 46596.30000000006
products component :
Total MEMORY difference: 124723780 / 124607824
Total CPU difference: 14161.319999999996 / 14765.679999999953

Testing on Windows:
occt component :
Total MEMORY difference: 254858712 / 279236240
Total CPU difference: 32051.21875 / 39387.8125
products component :
Total MEMORY difference: 66912476 / 66932672
Total CPU difference: 10910.234375 / 11231.34375

There are no differences in images found by testdiff.
(0032482)
git (administrator)
2014-09-30 20:01

Branch CR24930_2 has been updated by mkv.

SHA-1: 58af0dbe6851169c32642fbe450e6cd97c7f7a3c


Detailed log of new commits:

Author: mkv
Date: Tue Sep 30 20:01:33 2014 +0400

    Correction of test case for issue CR24930

(0033456)
git (administrator)
2014-10-21 16:44

Branch CR24930_2 has been deleted by inv.

SHA-1: 58af0dbe6851169c32642fbe450e6cd97c7f7a3c
(0033498)
git (administrator)
2014-10-21 16:46

Branch CR24930_1 has been deleted by inv.

SHA-1: 3029edeaf95196150a921a0bbd9ca750098cef87
(0033499)
git (administrator)
2014-10-21 16:46

Branch CR24930 has been deleted by inv.

SHA-1: 3385138909de82563a6fe57a102cb2cf93c287e6

- Related Changesets
occt: master 735dc1d2
Timestamp: 2014-10-02 10:05:21
Author: dbp
Committer: bugmaster
Details ] Diff ]
0024930: Visualization - SetMaterial/UnsetMaterial/UnsetColor are not implemented for AIS_TexturedShape

Correction of test case for issue CR24930
mod - src/AIS/AIS_TexturedShape.cxx Diff ] File ]
mod - src/AIS/AIS_TexturedShape.hxx Diff ] File ]
add - tests/bugs/vis/bug24930 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-05-15 18:56 dbp New Issue
2014-05-15 18:56 dbp Assigned To => san
2014-05-15 19:05 dbp Summary Visaulization -- SetMaterial is ignored for AIS_TexturedShape => Visualization -- SetMaterial is ignored for AIS_TexturedShape
2014-05-15 19:07 dbp Note Added: 0029357
2014-05-15 19:07 dbp Assigned To san => kgv
2014-05-15 19:07 dbp Status new => resolved
2014-05-16 08:43 kgv Note Added: 0029365
2014-05-16 08:43 kgv Assigned To kgv => dbp
2014-05-16 08:43 kgv Status resolved => assigned
2014-05-16 08:43 kgv Summary Visualization -- SetMaterial is ignored for AIS_TexturedShape => Visualization - SetMaterial is ignored for AIS_TexturedShape
2014-05-16 14:38 dbp Summary Visualization - SetMaterial is ignored for AIS_TexturedShape => Visualization - SetMaterial/UnsetMaterial/UnsetColor are not implemented for AIS_TexturedShape
2014-05-16 16:58 dbp Note Added: 0029376
2014-05-16 16:58 dbp Assigned To dbp => kgv
2014-05-16 16:58 dbp Status assigned => resolved
2014-05-19 13:07 kgv Note Added: 0029387
2014-05-19 13:07 kgv Assigned To kgv => dbp
2014-05-19 13:07 kgv Status resolved => assigned
2014-09-12 14:18 abv Target Version => 6.8.0
2014-09-29 15:35 git Note Added: 0032303
2014-09-29 15:37 dbp Note Added: 0032305
2014-09-29 15:37 dbp Assigned To dbp => kgv
2014-09-29 15:37 dbp Status assigned => resolved
2014-09-29 15:39 dbp Relationship added related to 0003038
2014-09-29 17:29 kgv Note Added: 0032324
2014-09-29 17:29 kgv Assigned To kgv => bugmaster
2014-09-29 17:29 kgv Status resolved => reviewed
2014-09-29 18:49 mkv Assigned To bugmaster => mkv
2014-09-29 19:04 git Note Added: 0032332
2014-09-30 20:00 mkv Note Added: 0032481
2014-09-30 20:00 mkv Assigned To mkv => bugmaster
2014-09-30 20:00 mkv Status reviewed => tested
2014-09-30 20:00 mkv Test case number => bugs vis(004) bug24930
2014-09-30 20:01 git Note Added: 0032482
2014-10-03 14:07 bugmaster Changeset attached => occt master 735dc1d2
2014-10-03 14:07 bugmaster Status tested => verified
2014-10-03 14:07 bugmaster Resolution open => fixed
2014-10-21 16:44 git Note Added: 0033456
2014-10-21 16:46 git Note Added: 0033498
2014-10-21 16:46 git Note Added: 0033499
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:02 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker